<?xml version="1.0"?>
<!DOCTYPE PLAY SYSTEM "play.dtd">
<FrontZoomCap>
    <tag key="HAL_CUSTOM_ZOOM_CAPABILITY" type="int32_t">
        <zoomAccuracy>100</zoomAccuracy>
        <defZoom>
            <captureSceneMode type="string2Enum">CAMERA_HW_SM_INVALID</captureSceneMode>
            <zoomMode type="string2Enum">ZOOM_INVALID</zoomMode>
            <zoomDownLimit>0</zoomDownLimit>
            <zoomUpLimit>0</zoomUpLimit>
            <midZoomCount>0</midZoomCount>
            <midZoom>
                <value>0</value>
                <value>0</value>
                <value>0</value>
                <value>0</value>
            </midZoom>
        </defZoom>
        <zoomInfo>
            <zoom>
                <captureSceneMode type="string2Enum">CAMERA_HW_SM_NORMAL_CAPTURE</captureSceneMode>
                <zoomMode type="string2Enum">ZOOM_DIGITAL</zoomMode>
                <zoomDownLimit>71</zoomDownLimit>
                <zoomUpLimit>500</zoomUpLimit>
                <midZoomCount>1</midZoomCount>
                <midZoom>
                    <value>200</value>
                    <value>0</value>
                    <value>0</value>
                    <value>0</value>
                </midZoom>
            </zoom>
            <zoom>
                <captureSceneMode type="string2Enum">CAMERA_HW_SM_BEAUTY</captureSceneMode>
                <zoomMode type="string2Enum">ZOOM_DIGITAL</zoomMode>
                <zoomDownLimit>71</zoomDownLimit>
                <zoomUpLimit>500</zoomUpLimit>
                <midZoomCount>1</midZoomCount>
                <midZoom>
                    <value>200</value>
                    <value>0</value>
                    <value>0</value>
                    <value>0</value>
                </midZoom>
            </zoom>
            <zoom>
                <captureSceneMode type="string2Enum">CAMERA_HW_SM_PORTRAIT</captureSceneMode>
                <zoomMode type="string2Enum">ZOOM_DIGITAL</zoomMode>
                <zoomDownLimit>71</zoomDownLimit>
                <zoomUpLimit>500</zoomUpLimit>
                <midZoomCount>1</midZoomCount>
                <midZoom>
                    <value>200</value>
                    <value>0</value>
                    <value>0</value>
                    <value>0</value>
                </midZoom>
            </zoom>
            <zoom>
                <captureSceneMode type="string2Enum">CAMERA_HW_SM_NORMAL_VIDEO</captureSceneMode>
                <zoomMode type="string2Enum">ZOOM_DIGITAL</zoomMode>
                <zoomDownLimit>71</zoomDownLimit>
                <zoomUpLimit>555</zoomUpLimit>
                <midZoomCount>1</midZoomCount>
                <midZoom>
                    <value>222</value>
                    <value>0</value>
                    <value>0</value>
                    <value>0</value>
                </midZoom>
            </zoom>
            <zoom>
                <captureSceneMode type="string2Enum">CAMERA_HW_SM_TIMELAPSE</captureSceneMode>
                <zoomMode type="string2Enum">ZOOM_DIGITAL</zoomMode>
                <zoomDownLimit>71</zoomDownLimit>
                <zoomUpLimit>555</zoomUpLimit>
                <midZoomCount>1</midZoomCount>
                <midZoom>
                    <value>222</value>
                    <value>0</value>
                    <value>0</value>
                    <value>0</value>
                </midZoom>
            </zoom>
            <zoom>
                <captureSceneMode type="string2Enum">CAMERA_HW_SM_NIGHT_SHOT</captureSceneMode>
                <zoomMode type="string2Enum">ZOOM_INVALID</zoomMode>
                <zoomDownLimit>100</zoomDownLimit>
                <zoomUpLimit>100</zoomUpLimit>
                <midZoomCount>1</midZoomCount>
                <midZoom>
                    <value>100</value>
                    <value>0</value>
                    <value>0</value>
                    <value>0</value>
                </midZoom>
            </zoom>
            <zoom>
                <captureSceneMode type="string2Enum">CAMERA_HW_SM_PORTRAIT_SLOW_SHUTTER</captureSceneMode>
                <zoomMode type="string2Enum">ZOOM_DIGITAL</zoomMode>
                <zoomDownLimit>71</zoomDownLimit>
                <zoomUpLimit>100</zoomUpLimit>
                <midZoomCount>1</midZoomCount>
                <midZoom>
                    <value>100</value>
                    <value>0</value>
                    <value>0</value>
                    <value>0</value>
                </midZoom>
            </zoom>
            <zoom>
                <captureSceneMode type="string2Enum">CAMERA_HW_SM_ULTRA_HIGH_RES</captureSceneMode>
                <zoomMode type="string2Enum">ZOOM_DIGITAL</zoomMode>
                <zoomDownLimit>71</zoomDownLimit>
                <zoomUpLimit>71</zoomUpLimit>
                <midZoomCount>1</midZoomCount>
                <midZoom>
                    <value>71</value>
                    <value>0</value>
                    <value>0</value>
                    <value>0</value>
                </midZoom>
            </zoom>
        </zoomInfo>
    </tag>
</FrontZoomCap>
